com.microfocus.awm.model

## Enum EToolResultSeverity

- java.lang.Object
- - java.lang.Enum<EToolResultSeverity>
  - - com.microfocus.awm.model.EToolResultSeverity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EToolResultSeverity>

      public enum EToolResultSeverity
      extends java.lang.Enum<EToolResultSeverity>

  Enumeration for the different tool result severities supported by AWM.
  Author:
    Micro Focus

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Error severity.
    `OK` OK severity.
    `WARNING` Warning severity.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EToolResultSeverity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EToolResultSeverity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final EToolResultSeverity OK

      OK severity.

    - #### WARNING

          public static final EToolResultSeverity WARNING

      Warning severity.

    - #### ERROR

          public static final EToolResultSeverity ERROR

      Error severity.

  - ### Method Detail

    - #### values

          public static EToolResultSeverity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EToolResultSeverity c : EToolResultSeverity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EToolResultSeverity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2015 Micro Focus GmbH. All rights reserved.